﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

using Microsoft.Practices.Unity;
using MvcDependencyInjectionDemo.Dependencies;

namespace MvcDependencyInjectionDemo.Controllers
{
    public class HomeController : Controller
    {
        [Dependency]
        public IGreeting greeting { get; set; }

        public ActionResult Index()
        {
            ViewBag.Message = greeting.Message;
            return View();
        }
    }
}
